<div class="row">
    <div class="card p-5 m-auto col-sm-12 col-md-6 ">
        <form [formGroup]="loginForm">

            <div class="text-center">
                <img class="mb-4" src="../../../assets/img/logo-latech-271x300.png" alt="" width="100">
            </div>

            <h1 class="h3 mb-3 fw-normal text-center">Sign in</h1>

            <!-- Email -->
            <label for="emailFormControl" class="form-label">Email</label>
            <div class="mb-3">
                <input formControlName="email" type="email" class="form-control" id="emailFormControl"
                    placeholder="email" [ngClass]="[ isSubmitted ? (email.invalid || 'isInvalidCredentials' ? 'is-invalid':'is-valid') : '' ]">

                <ng-container>
                    <div *ngIf="email.errors?.['required']" class="invalid-feedback">
                        Email is required
                    </div>
                    <div *ngIf="email.errors?.['email']" class="invalid-feedback">
                        Email is required
                    </div>
                </ng-container>

                <div *ngIf="isInvalidCredentials" class="invalid-feedback">
                    Invalid credentials
                </div>

            </div>

            <!-- Password -->
            <label for="PwdFormControl" class="form-label">Password</label>
            <div class="input-group has-validation mb-3">
                <input formControlName="password" [type]="isPasswordDisplayed ? 'text' : 'password'"
                    class="form-control pwd-input" id="PwdFormControl" placeholder="Password"
                    [ngClass]="[ isSubmitted ? (password.invalid  || 'isInvalidCredentials' ? 'is-invalid':'is-valid') : '' ]">

                <span class="input-group-text pwd-toggle-icon" (click)="togglePwdDisplay()">
                    <i *ngIf="!isPasswordDisplayed" class="far fa-eye" id="togglePassword" style="cursor: pointer"></i>
                    <i *ngIf="isPasswordDisplayed" class="far fa-eye-slash" id="togglePassword"
                        style="cursor: pointer"></i>

                </span>

                <ng-container>
                    <div *ngIf="password.errors?.['required']" class="invalid-feedback">
                        Password is required
                    </div>
                </ng-container>
                <div *ngIf="isInvalidCredentials" class="invalid-feedback">
                    Invalid credentials
                </div>
            </div>

            <button class="w-100 btn btn-md btn-primary mt-3" (click)="onSubmit()">
                <span *ngIf="isLoading" class="spinner-border spinner-border-sm" role="status"
                    aria-hidden="true"></span>
                Sign in
            </button>

            <p class="mt-5 mb-3 text-muted">&copy; Latech events 2022</p>
        </form>
    </div>
</div>